//-------------------------------------------------------------------------*
//工 程 名: KBI                                                            *
//硬件连接: (1)PTD口0脚接指示灯                                            *
//          (2)PTD口7,3,2脚及PTG口4脚接键盘4根列线,PTG口3-0脚接键盘4根行线 *
//          (3)如果键盘插在实验板的上排插孔,无须连线                       *
//程序描述: 按下键盘按键,串口发送对应的键值                                *
//目    的: 键盘中断,键盘扫描,键值识别,键值转换                            *
//说    明: 无                                                             *
//----------------苏州大学飞思卡尔嵌入式系统研发中心2011年-----------------*

//总头文件
#include "Includes.h"

//在此添加全局变量定义

void main(void)
{
    //1 主程序使用的变量定义
    uint8 msg[15]= "Test Keyboard!";
    uint32 mRuncount=0;                            //运行计数器
    //2 关总中断
    DisableInterrupt();                            //禁止总中断
    //3 芯片初始化
    MCUInit();
    //4 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF);//指示灯初始化
    SCIInit(SCI_NUM_1,SYSTEM_CLOCK,9600);          //SCI初始化
    KBInit();                                      //键盘初始化
    //5 开中断
    EnableKBint();                                 //开键盘中断
    EnableInterrupt();                             //开总中断
    //6 主程序向PC机发送字符串
    SCISendN(SCI_NUM_1,14,msg);       //发送字符串:Test Keyboard!
    //7 主循环                                                                                                              
    while (1)                      
    {
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=50000) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run);//指示灯的亮、暗状态切换
        }
    }
}
